On this page
No Headings
Notes:
- It takes a maximum of three hours for balances to appear in the list balances call.
- This call lists balances upto the previous three years.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/reporting/balances/readList balances in the response at the date time provided, will return the last refreshed balance in the system when not provided.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$20 <= length <= 64Filters the transactions in the response by a three-character ISO-4217 currency code for the PayPal transaction currency.
3 <= length <= 3To switch between the new (ISO standard) and old date time format and the platform changes, include PayPal-Enforce-ISO8601-Format in the header. When this value is set to true, the APIs will support the new date time format and platform changes.Note: You can use the same header in the sandbox as well.
"false"application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.paypal.com/v1/reporting/v1/reporting/balances"{
"balances": [
{
"currency": "str",
"primary": true,
"total_balance": {
"currency_code": "str",
"value": "string"
},
"available_balance": {
"currency_code": "str",
"value": "string"
},
"withheld_balance": {
"currency_code": "str",
"value": "string"
}
}
],
"account_id": "stringstrings",
"as_of_time": "stringstringstringst",
"last_refresh_time": "stringstringstringst"
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}